<?php

/**
 * @file
 * Commerce Datatrans API documentation.
 *
 * * This file contains no working PHP code; it exists to provide additional
 * documentation for the commerce_datatrans module as well as to document hooks
 * in the standard Drupal manner.
 */

/**
 * Allows to edit lightbox pay button attributes sent to the payment gateway.
 *
 * For a more cohomprensive list and details refer to Datatrans documentation
 * https://pilot.datatrans.biz/showcase/doc/Technical_Implementation_Guide.pdf.
 *
 * @param $attribues
 *   The array of the lightbox button html attributes keyed by attribute name.
 * @param $order
 *   The commerce order entity object.
 */
function hook_commerce_datatrans_lightbox_attributes_alter(&$attributes, $order) {
  $attributes['data-upp-Customer-Phone'] = '071000999000';
  $attributes['data-upp-Customer-Email'] = 'john.doe@mail.com';
}
